/*
 SOS Project Classes.

 Copyright (C) 2006 SOS Project <http://sos.project.free.fr>
 SOS Project is :
 Denis BURGARELLA @ OAMP <http://www.lam.oamp.fr/denis>
 Camille AMBROSI @ CMI <http://camille.ambrosi.free.fr>

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package kernel.functions;

import java.awt.Color;

import kernel.Kernel;

public class ConstantFunction implements _Function
{

	private String	strName	= null;

	private String	strDesc	= null;

	private double	value	= 0.0;

	private Color	color	= null;

	public ConstantFunction(final String strName, final String strDesc,
			final String value, final Color color)
	{
		try {
			this.strName = strName;
			this.strDesc = strDesc;
			this.color = color;
			this.value = Double.parseDouble(value
					.substring(FunctionsFactory.CONSTANT_FUNCTION.length()));
		} catch (Exception ex) {
			Kernel.fireError(this.getClass().getName(), "ConstantFunction()",
					ex);
		}
	}

	public final double yValue(double xValue)
	{
		return value;
	}

	public final String getName()
	{
		return strName;
	}

	public final String getDescription()
	{
		return strDesc;
	}

	public final String getFunction()
	{
		return Double.toString(value);
	}

	public final String toString()
	{
		return getDescription();
	}

	public final boolean isReady()
	{
		return true;
	}

	public final Color color()
	{
		return color;
	}

}
