/*
  SOS Project Classes.

  Copyright (C) 2006 SOS Project <http://sos.project.free.fr>
  SOS Project is :
    Denis BURGARELLA @ OAMP <http://www.lam.oamp.fr/denis>
    Camille AMBROSI @ CMI <http://camille.ambrosi.free.fr>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package kernel.functions;

import java.awt.Color;

import kernel.Kernel;

public class FunctionsFactory
{
	
	public static final String POINTS_FUNCTION				= "points:";
	public static final String LOG_POINTS_FUNCTION			= "lpoints:";
	public static final String CONSTANT_FUNCTION			= "const:";
	public static final String MATH_FUNCTION				= "func:";
	
	public static final _Function parse(final String strName, final String strDesc)
	{
		try{

			return new NullFunction(strName, strDesc);

		}catch(Exception ex) {Kernel.fireError(FunctionsFactory.class.getName(), "parse()", ex);}
		return null;
	}

	public static final _Function parse(final String strName, final String strDesc, final String strFunc, final Color color)
	{
		try{

			if((strFunc == null) || strFunc.length() == 0) return new NullFunction(strName, strDesc);
			
			if((strFunc.length() > LOG_POINTS_FUNCTION.length()) && (strFunc.substring(0, LOG_POINTS_FUNCTION.length()).equalsIgnoreCase(LOG_POINTS_FUNCTION) == true)) return new PointsFunction(strName, strDesc, strFunc, color);
			
			if((strFunc.length() > POINTS_FUNCTION.length()) && (strFunc.substring(0, POINTS_FUNCTION.length()).equalsIgnoreCase(POINTS_FUNCTION) == true)) return new PointsFunction(strName, strDesc, strFunc, color);

			if((strFunc.length() > CONSTANT_FUNCTION.length()) && (strFunc.substring(0, CONSTANT_FUNCTION.length()).equalsIgnoreCase(CONSTANT_FUNCTION) == true)) return new ConstantFunction(strName, strDesc, strFunc, color);
			
			if((strFunc.length() > MATH_FUNCTION.length()) && (strFunc.substring(0, MATH_FUNCTION.length()).equalsIgnoreCase(MATH_FUNCTION) == true)) return new FuncFunction(strName, strDesc, strFunc, color);

		}catch(Exception ex) {Kernel.fireError(FunctionsFactory.class.getName(), "parse()", ex);}
		return null;
	}

}
