/*
 SOS Project Classes.

 Copyright (C) 2006 SOS Project <http://sos.project.free.fr>
 SOS Project is :
 Denis BURGARELLA @ OAMP <http://www.lam.oamp.fr/denis>
 Camille AMBROSI @ CMI <http://camille.ambrosi.free.fr>

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package kernel.jep_adds;

import java.util.Stack;

import kernel.Maths;

import org.nfunk.jep.ParseException;
import org.nfunk.jep.function.PostfixMathCommand;

public class Planck extends PostfixMathCommand
{

	public Planck()
	{
		numberOfParameters = 2;
	}

	public void run(Stack stack) throws ParseException
	{
		double res = 0.0;
		try {

			checkStack(stack);

			Object obj = stack.pop();
			if ((obj instanceof Number) == false) throw new ParseException(
					"arg2 error");
			double arg2 = (int) (((Number) obj).doubleValue());

			obj = stack.pop();
			if ((obj instanceof Number) == false) throw new ParseException(
					"arg1 error");
			double arg1 = ((Number) obj).doubleValue();

			res = Maths.planck(arg1, arg2);

		} catch (Exception ex) {
		}
		stack.push(new Double(res));
	}
}
