/*
 SOS Project Classes.

 Copyright (C) 2006, 2007 SOS Project <http://sos.project.free.fr>
 SOS Project is :
 Denis BURGARELLA @ OAMP <http://www.lam.oamp.fr/denis>
 Camille AMBROSI @ CMI <http://camille.ambrosi.free.fr>

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package ui.simulation.editor;

import java.awt.BorderLayout;

import javax.swing.JPanel;

import kernel.Kernel;
import simulation.SimulationSpec;
import ui.simulation.editor.controlbar.ControlBar;
import ui.simulation.editor.imagecanvas.ImageCanvas;

public class Editor extends JPanel
{

	private static final long	serialVersionUID	= 1L;

	private ImageCanvas			cv					= null;
	private ControlBar			bar					= null;



	public Editor(final SimulationSpec spec)
	{
		super(new BorderLayout());
		try{
			this.setOpaque(false);
			/* contruit le contenu */
			cv = new ImageCanvas(spec);
			bar = new ControlBar(spec);
			/* on ajoute le tout */
			this.add(cv, BorderLayout.CENTER);
			this.add(bar, BorderLayout.NORTH);
		}catch(Exception ex){
			Kernel.fireError(this.getClass().getName(), "Editor()", ex);
		}
	}



	public final ImageCanvas getImageCanvas()
	{
		return cv;
	}



	public final ControlBar getControlBar()
	{
		return bar;
	}


}
