/*
  SOS Project Classes.

  Copyright (C) 2006 SOS Project <http://sos.project.free.fr>
  SOS Project is :
    Denis BURGARELLA @ OAMP <http://www.lam.oamp.fr/denis>
    Camille AMBROSI @ CMI <http://camille.ambrosi.free.fr>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package ui.simulation.frames;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Insets;

import javax.swing.JPanel;
import javax.swing.JTextArea;
import javax.swing.border.LineBorder;

import kernel.Kernel;
import ressources.Lang;
import ui.UI;
import ui.common.DialogFrame;
import ui.simulation.SFrame;

public class AboutDialog extends DialogFrame
{

	private static final long serialVersionUID 			= 1L;

	
	
	
	public AboutDialog(final SFrame frame)
	{
		super(frame, Lang.STR_TITLE_INFORMATIONS, true);
		try{
			String str;
			str = "-------------------------------------------------------------\n"
                + "                    SOS Simulator v."+Kernel.APPLET_VERSION+"                   \n"
                + "-------------------------------------------------------------\n"
                + " Copyright (c) 2006, 2007 SOS Project                        \n"
                + "                <http://sos.project.free.fr>                 \n"
                + " Denis BURGARELLA @ OAMP <http://www.lam.oamp.fr/denis>      \n"
                + " Camille AMBROSI @ CMI <http://camille.ambrosi.free.fr>      \n"
                + "-------------------------------------------------------------\n"
				+ "                                                             \n"
				+ "SUPPORT                                                      \n"
				+ " By e-mail : <camille.ambrosi@oamp.fr>                       \n"
				+ "          or <camille.ambrosi@free.fr>                       \n"
				+ "                                                             \n"
				+ "HELP                                                         \n"
				+ " On our website : http://sos.project.free.fr                 \n"
				+ "                                                             \n"
				+ "MATHEMATICAL PARSER                                          \n"
				+ " SOS Simulator uses the Java Math Expression Parser.         \n"
				+ " More at : https://sourceforge.net/projects/jep/             \n"
				+ "                                                             \n"
				+ "RESSOURCES                                                   \n"
				+ " - objects distributions :                                   \n"
				+ "    <http://lully.as.arizona.edu/Model/#SourceCounts>        \n"
				+ " - unit conversions :                                        \n"
				+ "    <http://vizier.u-strasbg.fr/cgi-bin/Unit>                \n"
				+ "    <http://minnie.tuhs.org/UnixTree/V6/usr/lib/units.html>  \n"
				+ " - monte-carlo algorithm :                                   \n"
				+ "    <http://www.cabrijava.net/article.php3?id_article=9>     \n"
				+ " - bessel functions :                                        \n"
				+ "    <https://jme.dev.java.net/source/browse/jme/src/com/jme/m\n"
				+ "    ath/Bessel.java?rev=1.5&view=markup>                     \n"
				+ "                                                             \n"
				+ "LICENCES                                                     \n"
				+ "  SOS Project <http://sos.project.free.fr>                   \n"
				+ "  Copyright (c) 2006, 2007 GNU Public Licence                \n"
				+ "                                                             \n"
				+ "  This program is free software; you can redistribute it     \n"
				+ " and/or modify it under the terms of the GNU General Public  \n"
				+ " License as published by the Free Software Foundation; either\n"
				+ " version 2 of the License, or any later version.             \n"
				+ "                                                             \n"
				+ "  This program is distributed in the hope that it will be    \n"
				+ " useful, but WITHOUT ANY WARRANTY; without even the implied  \n"
				+ " warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR     \n"
				+ " PURPOSE. See the GNU General Public License for more        \n"
				+ " details.                                                    \n"
				+ "                                                             \n"
				+ "  You should have received a copy of the GNU General Public  \n"
				+ " License along with this program; if not, write to the Free  \n"
				+ " Software Foundation, Inc., 59 Temple Place, Suite 330,      \n"
				+ " Boston, MA  02111-1307  USA                                 \n"
				+ "                                                             \n"
				+ "-------------------------------------------------------------\n"
			 	+ "                                                             \n"
				+ "  Bessel functions                                           \n"
				+ "  Copyright (c) 2003-2006 jMonkeyEngine                      \n"
				+ "  All rights reserved.                                       \n"
				+ "                                                             \n"
				+ "  Redistribution and use in source and binary forms, with or \n"
				+ " without modification, are permitted provided that the       \n"
				+ " following conditions are met :                              \n"
				+ "                                                             \n"
				+ " * Redistributions of source code must retain the above      \n"
				+ "   copyright notice, this list of conditions and the         \n"
				+ "   following disclaimer.                                     \n"
				+ "                                                             \n"
				+ " * Redistributions in binary form must reproduce the above   \n"
				+ "   copyright notice, this list of conditions and the         \n"
				+ "   following disclaimer in the documentation and/or other    \n"
				+ "   materials provided with the distribution.                 \n"
				+ "                                                             \n"
				+ " * Neither the name of 'jMonkeyEngine' nor the names of its  \n"
				+ "   contributors may be used to endorse or promote products   \n"
				+ "   derived from this software without specific prior written \n"
				+ "   permission.                                               \n"
				+ "                                                             \n"
				+ "  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND     \n"
				+ " CONTRIBUTORS \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, \n"
				+ " INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF    \n"
				+ " MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE    \n"
				+ " DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR        \n"
				+ " CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\n"
				+ " SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,    \n"
				+ " BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR      \n"
				+ " SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS        \n"
				+ " INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,\n"
				+ " WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING   \n"
				+ " NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE  \n"
				+ " OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH\n"
				+ " DAMAGE.                                                     \n"
				+ "                                                             \n"
				;
			/* construit le contenu */
			JTextArea txt = UI.createTextArea(str);
			txt.setEditable(false);
			txt.setFont(UI.FONT_PLAIN_MONOSPACED);
			GridBagConstraints c = new GridBagConstraints(0, 0, 1, 1, 1.0, 1.0, GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets(3, 3, 3, 3), 0, 0);
			JPanel pnlGridBag = UI.createPanel(new GridBagLayout());
			pnlGridBag.setBorder(new LineBorder(Color.darkGray, 1));
			pnlGridBag.add(UI.createScrollPane(txt , new Dimension(460, 380)), c);
			/* ajoute le tout */
			JPanel pnl = UI.createPanel(new BorderLayout());
			pnl.add(UI.createLabel(Lang.STR_TITLE_INFORMATIONS, UI.FONT_BOLD_BIG), BorderLayout.NORTH);
			pnl.add(pnlGridBag, BorderLayout.CENTER);
			setContent(pnl, BUTTONS_CLOSE);
		}catch(Exception ex) {Kernel.fireError(this.getClass().getName(), "AboutDialog()", ex);}
	}
	
	


}
