/*
  SOS Project Classes.

  Copyright (C) 2006 SOS Project <http://sos.project.free.fr>
  SOS Project is :
    Denis BURGARELLA @ OAMP <http://www.lam.oamp.fr/denis>
    Camille AMBROSI @ CMI <http://camille.ambrosi.free.fr>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package ui.simulation.frames;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Insets;

import javax.swing.JPanel;
import javax.swing.JTextArea;
import javax.swing.border.LineBorder;

import kernel.Generator;
import kernel.Kernel;
import ressources.Lang;
import simulation.SimulationSpec;
import simulation._SimulationSpecListener;
import ui.UI;
import ui.common.DialogFrame;

public class InformationDialog extends DialogFrame implements _SimulationSpecListener
{

	private static final long serialVersionUID 			= 1L;

	private SimulationSpec simulSpec					= null;

	private JTextArea txt								= null;


	public InformationDialog(final SimulationSpec simulSpec)
	{
		super(simulSpec.getMainFrame(), Lang.STR_TITLE_INFORMATIONS, false);
		try{
			this.simulSpec = simulSpec;
			/* construit le contenu */
			GridBagConstraints c = new GridBagConstraints(0, 0, 1, 1, 1.0, 1.0, GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets(3, 3, 3, 3), 0, 0);
			JPanel pnlTmpText = UI.createPanel(new GridBagLayout());
			pnlTmpText.setBorder(new LineBorder(Color.darkGray, 1));
			/* construit le contenu */
			txt = UI.createTextArea(Generator.generateInfos(simulSpec, false, null));
			txt.setEditable(false);
			txt.setFont(UI.FONT_PLAIN_MONOSPACED);
			JPanel pnlGridBag = UI.createPanel(new GridBagLayout());
			pnlGridBag.setBorder(new LineBorder(Color.darkGray, 1));
			pnlGridBag.add(UI.createScrollPane(txt , new Dimension(460, 380)), c);
			/* ajoute le tout */
			JPanel pnl = UI.createPanel(new BorderLayout());
			pnl.add(UI.createLabel(Lang.STR_TITLE_INFORMATIONS, UI.FONT_BOLD_BIG), BorderLayout.NORTH);
			pnl.add(pnlGridBag, BorderLayout.CENTER);
			setContent(pnl, BUTTONS_CLOSE);
			/* on demande l'ecoute de la simulation */
			this.simulSpec.addListener(this);
		}catch(Exception ex) {Kernel.fireError(this.getClass().getName(), "InformationsFrame()", ex);}
	}

	public void onSimulationComponentsListChanged() {}
	public void onSimulationGeneratedComponentsChanged(int iGeneratedNumber) {}
	public void onSimulationStateChanged(boolean blSimulating) {if(blSimulating == true) txt.setText(""); else txt.setText(Generator.generateInfos(simulSpec, false, null));}

	public void onSimulationStartDistribution() {}
	public void onSimulationStartGeneration() {}
	public void onSimulationStartNoisation() {}
	public void onSimulationStartNormalization() {}

}
